golang引用第三方包的报错:no required module provides package [完美解决]
阅读原文时间:2021年10月13日阅读:3

关于golang第三方包的引用报错:no required module provides package : go.mod file not found in current directory or any parent directory;

需要倒入包:
go get github.com/denisenkom/go-mssqldb
go get github.com/mattn/go-adodb
全部无反应,着手去分析问题到底出在哪里?

命令:go  env

先排除 go env 里面:GO111MODULE  (我的是GO111MODULE="on",导致下载失败)

执行:go env -w GO111MODULE=auto

手机扫一扫

移动阅读更方便

阿里云服务器
腾讯云服务器
七牛云服务器